Skip to main content

UMA App

Use this API to access a resource on the resource server which is secured based on the given query parameters.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/apps/uma?migrate=true&adminuser=demouser&adminpassword=pass

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_client/uma?migrate=true&adminuser=demouser&adminpassword=pass
note

API requests must be made over https. Calls made over plain http will fail.

Request body​

No request body fields are required.

Query Parameters​

Parameter NameTypeDescription
migratebooleanIf set to true the respective UMA roles will be assigned to all the existing users.
adminuserStringProvide a name for the Admin user.
adminpassStringSet a password for the Admin user.

Request Parameters​

Field NameTypeDescription
appNameStringUnique appName of the application.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Created app and migrated users successfully",
"status": "OK",
"subSystem": 2
}

Response Status Information​

Status CodeStatusMessage
200OKCreated app and migrated users successfully
400BAD_REQUESTAdmin password should not be null or empty
401UnauthorizedHTTP 401 Unauthorized
409CONFLICTApp already exists